<?php
namespace Reaktion\Common;

trait ChecksContext
{
    /**
     * @return bool
     */
    protected function is_api_request()
    {
        if (empty($_SERVER['REQUEST_URI'])) {
            return false;
        }

        $rest_prefix = trailingslashit(rest_get_url_prefix());

        return strpos($_SERVER['REQUEST_URI'], $rest_prefix) !== false;
    }

    /**
     * @return bool
     */
    protected function is_frontend()
    {
        return wp_using_themes() && !$this->is_api_request();
    }
}
