<?php
namespace Reaktion\Common;

use Reaktion\Settings\ReaktionSettings;

trait ChecksTrackingConsent
{
    /**
     * @return bool
     */
    protected function has_tracking_consent()
    {
        if (
            get_option(ReaktionSettings::OPTION_TRACKING_CONSENT_POLICY) ===
            'ignore'
        ) {
            // Useful when testing the tracking features.
            return true;
        }
        // Consent choices are made after the page is loaded in the browser.
        // Determining the consent choice on the server-side is hard to do.
        // Assume there's no consent and let the tracking script use the session endpoint when consent is given.
        return false;
    }
}
