<?php
namespace Reaktion\Common;

trait ManagesCookies
{
    /**
     * @param string $name
     * @return string|null
     */
    private function readCookie($name)
    {
        return isset($_COOKIE[$name]) ? $_COOKIE[$name] : null;
    }

    /**
     * @param string $name
     * @param string $value
     * @param int $ttl
     * @return void
     */
    private function writeCookie($name, $value, $ttl = 2147483647)
    {
        wc_setcookie($name, $value, $ttl);
        if (empty($value)) {
            unset($_COOKIE[$name]);
        } else {
            $_COOKIE[$name] = $value;
        }
    }
}
