<?php
namespace Reaktion\Sessions;

class SessionEndpoint
{
    public function __construct()
    {
        add_action('rest_api_init', [$this, 'endpoint']);
    }

    public function endpoint()
    {
        register_rest_route('reaktion/v1', '/sessions', [
            'methods' => 'POST',
            'callback' => function () {
                // Tracking script only calls this endpoint when consent was given.
                $sessionIdCookie = new SessionIdCookie();
                $sessionIdCookie->initialize_cookie();
                $cartIdCookie = new CartIdCookie();
                $cartIdCookie->initialize_cookie();
            },
            'permission_callback' => '__return_true',
        ]);
    }
}
