<?php
namespace Reaktion\Sessions;

use Reaktion\Common\DisplaysScripts;

class SessionEndpointScript
{
    use DisplaysScripts;

    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'handle']);
    }

    public function handle()
    {
        $url = $this->url();
        if (empty($url)) {
            return;
        }
        $this->displayInlineScript('session_id', $this->script($url));
    }

    /**
     * @param string $url
     * @return string
     */
    private function script($url)
    {
        return <<<EOF
window.reaktionSessionIdUrl = '{$url}';
EOF;
    }

    /** @return string|null */
    private function url()
    {
        return rest_url('reaktion/v1/sessions');
    }
}
