<?php
namespace Reaktion\TrackingScript;

use Reaktion\Common\DisplaysScripts;
use Reaktion\Settings\ReaktionSettings;

class Script
{
    use DisplaysScripts;

    public function __construct()
    {
        add_action('wp_enqueue_scripts', [$this, 'handle']);
    }

    public function handle()
    {
        $url = $this->url();
        if (empty($url)) {
            return;
        }
        $this->displayInlineScript('tracking', $this->script($url));
    }

    /**
     * @param string $url
     * @return string
     */
    private function script($url)
    {
        return <<<EOF
var reaktionTrackingScript = document.createElement('script');
reaktionTrackingScript.type = 'text/javascript';
reaktionTrackingScript.src = '{$url}';
document.head.appendChild(reaktionTrackingScript);
EOF;
    }

    /** @return string|null */
    private function url()
    {
        return get_option(ReaktionSettings::OPTION_TRACKING_SCRIPT_URL);
    }
}
